Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface DisplacementMapRable

All Superinterfaces:
  Filter, FilterColorInterpolation, RenderableImage

All Known Implementing Classes:
  DisplacementMapRable8Bit

    public interface DisplacementMapRable

extends FilterColorInterpolation

Implements a DisplacementMap operation, which takes pixel values from another image to spatially displace the input image

Field Summary
`static int` | `CHANNEL_A`
`static int` | `CHANNEL_B`
`static int` | `CHANNEL_G`
`static int` | `CHANNEL_R`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`double` | `getScale()` Returns the displacement scale factor
`ARGBChannel` | `getXChannelSelector()` Returns the xChannelSelector
`ARGBChannel` | `getYChannelSelector()` Returns the yChannelSelector
`void` | `setScale(double scale)` The displacement scale factor
`void` | `setSources(List srcs)` The sources to be used in the displacement operation The source at index 0 is displacement by the channels in source at index 1 defined by the xChannelSelector and the yChannelSelector.
`void` | `setXChannelSelector(ARGBChannel xChannelSelector)` Select which component values will be used for displacement along the X axis
`void` | `setYChannelSelector(ARGBChannel yChannelSelector)` Select which component values will be used for displacement along the Y axis

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Field Detail

### CHANNEL_R

    static final int CHANNEL_R

See Also:
  Constant Field Values

### CHANNEL_G

    static final int CHANNEL_G

See Also:
  Constant Field Values

### CHANNEL_B

    static final int CHANNEL_B

See Also:
  Constant Field Values

### CHANNEL_A

    static final int CHANNEL_A

See Also:
  Constant Field Values

Method Detail

### setSources

    void setSources(List srcs)

  The sources to be used in the displacement operation The source at index 0 is displacement by the channels in source at index 1 defined by the xChannelSelector and the yChannelSelector. The displacement amount is defined by the scale attribute.

  Parameters:
    `srcs` - The list of images used in the operation.

### setScale

    void setScale(double scale)

  The displacement scale factor

  Parameters:
    `scale` - can be any number.

### getScale

    double getScale()

  Returns the displacement scale factor

### setXChannelSelector

    void setXChannelSelector(ARGBChannel xChannelSelector)

  Select which component values will be used for displacement along the X axis

  Parameters:
    `xChannelSelector` - value is among R, G, B and A.

### getXChannelSelector

    ARGBChannel getXChannelSelector()

  Returns the xChannelSelector

### setYChannelSelector

    void setYChannelSelector(ARGBChannel yChannelSelector)

  Select which component values will be used for displacement along the Y axis

  Parameters:
    `yChannelSelector` - value is among R, G, B and A.

### getYChannelSelector

    ARGBChannel getYChannelSelector()

  Returns the yChannelSelector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.